javax.batch.api.chunk.listener

## Interface RetryReadListener

    public interface RetryReadListener

RetryReadListener intercepts retry processing for an ItemReader.

### Method Summary

Methods
`void` `onRetryReadException(Exception ex)` The onRetryReadException method receives control when a retryable exception is thrown from an ItemReader readItem method.

### Method Detail

#### onRetryReadException

    void onRetryReadException(Exception ex)
                              throws Exception

The onRetryReadException method receives control when a retryable exception is thrown from an ItemReader readItem method. This method receives the exception as input. This method receives control in the same checkpoint scope as the ItemReader. If this method throws a an exception, the job ends in the FAILED state.

Parameters:
  `ex` - specifies the exception thrown by the item reader.
Throws:
  `Exception` - is thrown if an error occurs.

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0